Bug 181563 - comms/uhso-kmod: deprecate
Summary: comms/uhso-kmod: deprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-26 14:20 UTC by Rene Ladan
Modified: 2013-09-04 08:10 UTC (History)
0 users

See Also:


Attachments
file.diff (671 bytes, patch)
2013-08-26 14:20 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-08-26 14:20:00 UTC
comms/uhso-kmod is marked as IGNORE on all supported versions, schedule it for
removal on 2013-12-01.

Fix: Patch attached with submission follows:
How-To-Repeat: running rmport on comms/hso-kmod found this.
Comment 1 Edwin Groothuis freebsd_committer 2013-08-26 14:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-09-04 08:04:15 UTC
Author: martymac
Date: Wed Sep  4 07:04:08 2013
New Revision: 326254
URL: http://svnweb.freebsd.org/changeset/ports/326254

Log:
  - Use new Makefile header format
  - Mark as DEPRECATED and set an EXPIRATION_DATE, as uhso-kmod is now available
    in base on all supported versions
  
  PR:		ports/181563
  Submitted by:	rene

Modified:
  head/comms/uhso-kmod/Makefile   (contents, props changed)

Modified: head/comms/uhso-kmod/Makefile
==============================================================================
--- head/comms/uhso-kmod/Makefile	Wed Sep  4 06:46:23 2013	(r326253)
+++ head/comms/uhso-kmod/Makefile	Wed Sep  4 07:04:08 2013	(r326254)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	uhso-kmod
-# Date created:				28 December 2009
-# Whom:					Ganael Laplanche <ganael.laplanche@martymac.org>
-#
+# Created by: Ganael Laplanche <ganael.laplanche@martymac.org>
 # $FreeBSD$
-#
 
 PORTNAME=	uhso
 PORTVERSION=	20100416
@@ -20,6 +16,9 @@ LICENSE=	BSD
 
 CONFLICTS=	hso-kmod-[0-9]*
 
+DEPRECATED=	included in base system on all supported releases
+EXPIRATION_DATE=2013-12-01
+
 NO_PACKAGE=	should be recompiled for a particular FreeBSD kernel
 
 OPTIONS_DEFINE=	UHSOCTL DEBUG
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ganael LAPLANCHE freebsd_committer 2013-09-04 08:04:44 UTC
State Changed
From-To: open->closed

Committed, thanks!